Package csb :: Package statistics :: Package pdf :: Class BaseDensity

[frames] | no frames]

# Class BaseDensity

source code

         object --+
                  |
    AbstractDensity --+
                      |
                     BaseDensity

Known Subclasses:
  - Dirichlet
  - , Gamma
  - , GeneralizedInverseGaussian
  - , GeneralizedNormal
  - , GumbelMinimum
  - , InverseGamma
  - , InverseGaussian
  - , Laplace
  - , maxent.MaxentModel
  - , Normal
  - , scalemixture.ScaleMixture

Base abstract class for all PDFs, which operate on simple float or array-of-float parameters. Parameters of any other type will trigger TypeError-s.

Nested Classes
Inherited from `AbstractDensity`: `__metaclass__`

Instance Methods
Inherited from `AbstractDensity`: `__call__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `estimate`, `evaluate`, `get_params`, `log_prob`, `random`, `set_params` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
Inherited from `AbstractDensity`: `__abstractmethods__`

Properties
Inherited from `AbstractDensity`: `estimator`, `parameters` Inherited from `object`: `__class__`